org.apache.ode.daohib

## Class HibertenateJtaPlatform

- java.lang.Object
- - org.hibernate.engine.transaction.jta.platform.internal.AbstractJtaPlatform
  - - org.apache.ode.daohib.HibertenateJtaPlatform

- All Implemented Interfaces:
    java.io.Serializable, org.hibernate.engine.transaction.jta.platform.internal.TransactionManagerAccess, org.hibernate.engine.transaction.jta.platform.spi.JtaPlatform, org.hibernate.service.Service, org.hibernate.service.spi.Configurable, org.hibernate.service.spi.ServiceRegistryAwareService

      public class HibertenateJtaPlatform
      extends org.hibernate.engine.transaction.jta.platform.internal.AbstractJtaPlatform

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HibertenateJtaPlatform()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(java.util.Map configValues)`
    `protected javax.transaction.TransactionManager` | `locateTransactionManager()`
    `protected javax.transaction.UserTransaction` | `locateUserTransaction()`

    - ### Methods inherited from class org.hibernate.engine.transaction.jta.platform.internal.AbstractJtaPlatform

      `canCacheTransactionManager, canCacheTransactionManagerByDefault, canCacheUserTransaction, canCacheUserTransactionByDefault, canRegisterSynchronization, getCurrentStatus, getSynchronizationStrategy, getTransactionIdentifier, getTransactionManager, injectServices, jndiService, registerSynchronization, retrieveTransactionManager, retrieveUserTransaction, serviceRegistry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HibertenateJtaPlatform

          public HibertenateJtaPlatform()

  - ### Method Detail

    - #### configure

          public void configure(java.util.Map configValues)

      Specified by:
        `configure` in interface `org.hibernate.service.spi.Configurable`
      Overrides:
        `configure` in class `org.hibernate.engine.transaction.jta.platform.internal.AbstractJtaPlatform`

    - #### locateTransactionManager

          protected javax.transaction.TransactionManager locateTransactionManager()

      Specified by:
        `locateTransactionManager` in class `org.hibernate.engine.transaction.jta.platform.internal.AbstractJtaPlatform`

    - #### locateUserTransaction

          protected javax.transaction.UserTransaction locateUserTransaction()

      Specified by:
        `locateUserTransaction` in class `org.hibernate.engine.transaction.jta.platform.internal.AbstractJtaPlatform`